VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
GroupController Class Reference
Inheritance diagram for GroupController:

## Public Member Functions
| GroupController (Steinberg::Vst::Parameter *parameter, Steinberg::Vst::EditController *editController)
| ~GroupController ()
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
void | valueChanged (CControl *pControl) override
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
Public Member Functions inherited from IController
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0 More...
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Protected Types
typedef std::vector< CControl * > | ControlList

## Protected Member Functions
void PLUGIN_API | update (Steinberg::FUnknown *changedUnknown, Steinberg::int32 message) override

## Protected Attributes
Steinberg::Vst::Parameter * | parameter
Steinberg::Vst::EditController * | editController
ControlList | controls

## Member Typedef Documentation

typedef std::vector<CControl*> ControlList
| protected

## Constructor & Destructor Documentation

GroupController | ( | Steinberg::Vst::Parameter * | parameter,
|  | Steinberg::Vst::EditController * | editController
| ) |  |

~GroupController | ( |  | ) |

## Member Function Documentation

void controlBeginEdit | ( | CControl * | pControl | ) |
| override virtual

Reimplemented from IControlListener.

void controlEndEdit | ( | CControl * | pControl | ) |
| override virtual

Reimplemented from IControlListener.

void PLUGIN_API update | ( | Steinberg::FUnknown * | changedUnknown,
|  | Steinberg::int32 | message
| ) |  |
| override protected

void valueChanged | ( | CControl * | pControl | ) |
| override virtual

Implements IControlListener.

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| override virtual

Reimplemented from IController.

## Member Data Documentation

ControlList controls
| protected

Steinberg::Vst::EditController* editController
| protected

Steinberg::Vst::Parameter* parameter
| protected

The documentation for this class was generated from the following files:

- vst3groupcontroller.h
- vst3groupcontroller.cpp